:root {
    --font: "Roboto", serif;
    --black: #1F1E1E;
    --white: #fff;
    --gray: #3C3C3C;
}

body, html {
    font-family: var(--font);
    font-size: 10px;
    font-weight: 400;
    color: var(--gray);
    background-color: var(--white);

    width: 100%;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    transition: transform 0.5s ease-in-out;
    display: grid;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.container {
    max-width: 1200px;
    margin-right: auto;
    margin-left: auto;
}

/* main */

.main  {
    margin: 8px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
}



header {
    display: flex;
    align-items: center;
    justify-content: flex-start;

    padding-top: 0px;
    padding-right: 42px;
    padding-left: 42px;
}


.nav-item {
   text-decoration: none; 
   color: var(--white); 
   padding-right: 17px; 
   text-transform: uppercase; 
  }

.header-link {
  text-decoration: none; 
  color: var(--white); 
  padding-right: 17px; 
  text-transform: uppercase;
}

.main-inner {
    padding-top: 0px;
    padding-left: 42px;
}

.main-inner h1 {
    font-size: 63px;
    line-height: 65px;
    color: var(--white);
    font-weight: 400;

    margin-bottom: 36px;
}

.main-inner a {
    background-color: var(--black);
    padding: 15px 67px;
    text-align: center;
    text-decoration: none;
    color: var(--white);
    text-transform: uppercase;
    border-radius: 4.17px;
}

.main-cookies {
    position: absolute;
    bottom: 74px;
    right: 74px;
    width: 286px;

    text-transform: uppercase;
    color: var(--gray);
}

.main-cookies h2 {
    text-transform: uppercase;
    margin-bottom: 18px;
    font-size: 9px;
}

.main-cookies p {
    line-height: 13.75px;
    margin-bottom: 18px;
}

.main-cookies-buttons {
    display: flex;
    justify-content: space-around;
}

.main-cookies-buttons a:first-of-type {
    text-decoration: none;
    color: var(--gray);
}

.main-cookies-buttons a:last-of-type {
    text-decoration: none;
    color: var(--white);
}


.catalog {
    margin-top: 59px;
    padding-bottom: 60px;
}

.catalog-start {
    display: flex;
    align-items: center;
    justify-content: space-around;

    margin-bottom: 40px;
}

.catalog-start-item {
    display: flex;
    align-items: center;
}

.catalog-start-item span {
    margin-right: 17px;
    font-weight: 400;
    font-size: 18px;
    color: var(--gray);
}

.catalog-start-item h3,
.catalog-start-item p {
    font-weight: 400;
    font-size: 9px;
    color: var(--gray);
    text-transform: uppercase;
}

.catalog-title {
    margin-bottom: 76px;
    font-weight: 400;
    font-size: 125px;
    line-height: 131.25px;

    text-align: center;
}

.catalog-inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.catalog-item {
    width: 20%;
    margin-bottom: 37px;
    text-align: center;
}

.catalog-item img {
    width: 167px;
    height: 167px;
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

.catalog-item img:hover {
    transform: scale(1.1); 
}


.catalog-item h3 {
    font-weight: 400;
    font-size: 9px;
    color: var(--gray);
    line-height: 9.17px;
    text-transform: uppercase;
}

.catalog-item span {
    font-weight: 400;
    font-size: 9px;
    color: var(--gray);
    line-height: 13.75px;
    text-transform: uppercase;
}

.catalog-button {
    font-family: var(--font);
    text-transform: uppercase;
    border: none;
    outline: none;
    background-color: var(--black);
    padding: 15px 26px;
    border-radius: 4.17px;
    color: var(--white);
    font-size: 9px;
    font-weight: 400;

    margin-right: auto;
    margin-left: auto;
    display: block;

    cursor: pointer;
}


.mission {
    padding-bottom: 95.84px;
    margin-right: 50px;
    margin-left: 50px;
    border-bottom: 1px rgba(31, 30, 30, 0.1) solid;
    margin-bottom: 49.16px;
    text-align: center;
    margin-top: -30px;
}

.mission h2 {
    margin-bottom: 16px;
    font-weight: 400;
    font-size: 9px;
    line-height: 13.75px;
}

.mission p {
    font-weight: 400;
    font-size: 38px;
    line-height: 45.83px;

    width: 681px;
    margin-right: auto;
    margin-left: auto;
}


.mebel-inner {
    display: flex;
    align-items: center;
    justify-content: center;

    margin-bottom: 35px;
}

.mebel-inner img {
    width: 546px;
    height: 546px;
}

.mebel-inner div {
    height: 546px;
    width: 546px;
    margin-left: 8px;
    background-color: #F4EDE6;

    border-radius: 8.33px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.mebel-inner div h3 {
    color: #3d4740;
    font-weight: 400;
    font-size: 52px;
    line-height: 58.33px;

    width: 439px;
    text-align: center;

    margin-bottom: 157px;
    margin-top: 150px;
}


.nothing-title {
    text-align: center;
    margin-bottom: 39px;
    font-size: 60px;
    font-weight: 400;
    color: var(--black);
}

.nothing-text {
    text-align: center;
    font-weight: 400;
    font-size: 19px;
    line-height: 29.17px;
    margin-bottom: 24px;
    color: var(--black);
}

.nothing button {
    padding: 15px 26px;
    font-weight: 400;
    line-height: 20px;
    font-size: 13px;
    font-family: var(--font);
    background-color: var(--black);
    color: var(--white);
    border-radius: 4.17px;
    border: none;
    outline: none;

    margin-right: auto;
    margin-left: auto;
    display: block;

    margin-bottom: 50px;

    transition: all .5s ease;
}


.nothing button:hover {
    opacity: 0.5;
    cursor: pointer;
}


.nothing-inner {
    display: flex;
    align-items: flex-start;   
    justify-content: center;
    gap: 40px;                 
    margin-bottom: 60px;       
}

.nothing-inner div {
    width: 500px;
    height: 500px;
    margin-right: 8px;

    background-color: #ffffff;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.nothing-inner div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.nothing-inner .question p {
    margin-bottom: 28px; 
    font-size: 22px; 
    line-height: 40px; 
    font-weight: 400; 
    color: var(--black); 
    text-align: center; 
    width: 330px;
}
  

.nothing-inner img {
    width: 546px;
    height: 546px;
}

.nothing-result {
    max-width: 280px;
    padding: 15px;
    background-color: #f7f7f7;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    font-size: 16px;
    line-height: 1.5;
}

.nothing-result h3 {
    font-size: 22px;  
    margin-bottom: 8px;
}

.section-divider {
  width: 100%;
  height: 1px;
  background-color: #ddd; 
  margin: 80px 0; 
}

#quiz {
    display: flex;
    gap: 20px;
}

.quiz-section {
  text-align: center;
  margin: 40px auto;
  max-width: 700px;
  margin-bottom: 80px;
  font-weight: 500;
  font-size: 20px;
}

.quiz-box {
  margin-top: 10px;
}

#quiz-question {
  font-size: 22px;
  margin-bottom: 20px;
  opacity: 1;
  transition: opacity 0.4s ease;
}

.quiz-options {
  display: flex;
  flex-direction: column;
  gap: 15px;
  opacity: 1;
  transition: opacity 0.4s ease;
}

.quiz-option {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-size: 18px;
  padding: 10px 15px;
  border: 2px solid #ccc;
  border-radius: 12px;
  transition: background 0.3s, border-color 0.3s;
}

.quiz-option input {
  display: none;
}

.quiz-option .custom-radio {
  width: 18px;
  height: 18px;
  border: 2px solid #555;
  border-radius: 50%;
  margin-right: 12px;
  transition: background 0.3s;
}

.quiz-option input:checked + .custom-radio {
  background: #fff;
  border-color: #000;
}

.quiz-result {
  display: none;
  opacity: 0;
  transition: opacity 0.5s ease;
  margin-top: 30px;
}

.quiz-result h3 {
  font-size: 24px;
  margin-bottom: 10px;
}

.quiz-result p {
  font-size: 18px;
  color: #000000;
}

#quiz-question, .quiz-options, .quiz-result {
  transition: opacity 0.4s ease;
}

.quiz-option .custom-radio {
  width: 18px;
  height: 18px;
  border: 2px solid #555;
  border-radius: 50%;
  margin-right: 12px;
  transition: background 0.3s, border-color 0.3s;
}

.quiz-option input:checked + .custom-radio {
  background: #fff;
  border-color: #000;
}


.put {
  padding: 10px 0;
}

.section-title {
  font-size: 50px;
  text-align: center;
  margin-bottom: 10px;
  font-weight: 500;
  text-align: center;
}

.section-subtitle {
  font-size: 22px;
  text-align: center;
  margin-bottom: 5px;
  color: #555;
}

.put-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 30px;
  justify-items: center;
  background: #fdfdfd; 
  padding: 40px 20px;
  border-radius: 12px;
}

.put-item {
  text-align: center;
}

.put-image {
  width: 200px;
  height: 200px;
  background-size: cover;
  background-position: center;
  border-radius: 12px;
  margin-bottom: 10px;
}

.put-caption {
  font-size: 16px;
  color: #333;
  margin: 0;
}

.put-description {
  max-width: 800px;
  margin: 40px auto 60px;
  font-size: 18px;
  text-align: center;
  color: #444;
}


.personality-list {
  background: #ffffff; 
  color: #333; 
  padding: 40px;
  border-radius: 12px;
}

.personality-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #000000; 
  padding: 30px 0;
}

.personality-item:last-child {
  border-bottom: none;
}

.personality-text {
  max-width: 65%;
}

.personality-text .date {
  display: block;
  font-size: 14px;
  color: #666;
  margin-bottom: 10px;
}

.personality-text h3 {
  font-size: 22px;
  margin: 10px 0;
  font-weight: bold;
  color: #222;
}

.personality-text p {
  font-size: 16px;
  color: #202020;
  margin-bottom: 15px;
}

.read-more {
  font-size: 16px;
  color: #9c5757; 
  text-decoration: none;
  font-weight: bold;
}

.read-more span {
  margin-left: 5px;
}

.personality-image img {
  width: 200px;
  height: 150px;
  object-fit: cover;
  border-radius: 10px;
}

.hidden-content {
  display: none;
  margin: 20px 0;
  padding: 20px;
  background: #f9f7fc;
  border-radius: 10px;
}

.video-wrapper {
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
}

.extra-text {
  font-size: 16px;
  color: #333;
}

.extra-text h4 {
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bold;
}

.extra-text img {
  max-width: 100%;
  margin: 15px 0;
  border-radius: 8px;
}


.practices-section {
  padding: 40px 20px;
  text-align: center;
}

.practices-section .section-title-practic {
  font-size: 50px;
  text-align: center;
  margin-bottom: 10px;
  font-weight: 500;
  text-align: center;
}

.practices-section .section-subtitle {
  font-size: 18px;
  margin-bottom: 40px;
  color: #242323;
}

.practices-section .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}


.slider-container {
  width: 700px;
  max-width: 100%;
  margin: 0 auto;
}

.slider {
  position: relative;
  width: 100%;
  height: 0px;
  border-radius: 20px;
  background-color: #000000; 
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}


.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 1s ease-in-out, transform 1s ease-in-out;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 60px;
  color: rgb(0, 0, 0);
  transform: scale(0.95);
}

.slide.active {
  opacity: 1;
  transform: scale(1);
}


#practice-text {
  margin-top: 15px;
  background: rgba(0, 0, 0, 0.7);
  padding: 15px;
  border-radius: 10px;
  max-width: 80%;
  font-size: 18px;
  display: inline-block;
  color: white;
  transition: background 0.3s ease-in-out;
}

#practice-text:hover {
  background: rgba(0, 0, 0, 0.9);
}


.controlls {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  cursor: pointer;
  font-size: 30px;
  padding: 15px;
  border-radius: 50%;
  transition: background 0.3s ease-in-out, transform 0.2s ease;
  z-index: 10;
}

.controlls:hover {
  background: rgba(0, 0, 0, 0.7);
  transform: scale(1.1);
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}


@media (max-width: 768px) {
  .slider-container {
    width: 90%;
  }

  .slider {
    height: 200px;
  }

  .slide {
    font-size: 40px;
  }

  #practice-text {
    font-size: 16px;
  }
}

@media (max-width: 480px) {
  .slider {
    height: 350px;
  }

  .slide {
    font-size: 30px;
  }

  .controlls {
    font-size: 24px;
    padding: 10px;
  }

  #practice-text {
    font-size: 14px;
  }
}

.slider {
    width: 665px;
    height: 450px;
}



.sign-inner {
    display: flex;
    justify-content: space-between;

    border-top: 1px rgba(31, 30, 30, 0.1) solid;
    border-bottom: 1px rgba(31, 30, 30, 0.1) solid;
    padding: 16px 0px;
    margin-bottom: 24px;
}

.sign-left {
    width: 70%;
    border-right: 1px rgba(31, 30, 30, 0.1) solid;
    padding-top: 34px;
    padding-bottom: 34px;
}

.sign-left h2 {
  font-weight: 400;
  font-size: 38px;
  line-height: 121%;
  color: #1f1e1e;

  margin-bottom: 8px;
}


.sign-left p {
  font-weight: 400;
  font-size: 9px;
  line-height: 153%;
  text-transform: uppercase;
  color: #3c3c3c;
}

.sign-right {
  width: 30%;
  padding-left: 34px;
  padding-top: 34px;
  padding-bottom: 34px;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sign-right-top {
  display: flex;
  justify-content: space-between;
}

.sign-right-top div {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.sign-right-top div h2 {
  margin-bottom: 9px;

  font-weight: 400;
  font-size: 9px;
  line-height: 153%;
  text-transform: uppercase;
  color: #3c3c3c;
}

.sign-right-top div a {
  font-weight: 400;
  font-size: 9px;
  line-height: 116%;
  text-transform: uppercase;
  color: #1f1e1e;
  text-decoration: none;
}

.sign-right-bottom {
  display: flex;
  gap: 18px;
  justify-content: center;
}

.sign-right-bottom a {
  font-weight: 400;
  font-size: 9px;
  line-height: 116%;
  text-transform: uppercase;
  color: #1f1e1e;
  text-decoration: none;
}


footer {
  margin-bottom: 55px;
}

.footer-inner-logo {
  width: 100%;
}

.footer-inner-last {
  display: flex;
  align-items: center;
  justify-content: space-between;

  margin-top: 32px;
}

.footer-inner-last div:first-of-type {
  gap: 100px;
}

.footer-inner-last div {
  display: flex;
  align-items: center;
  gap: 17px;
}

.footer-inner-last div p {
  font-weight: 400;
  font-size: 8px;
  line-height: 104%;
  color: #1f1e1e;
}

.footer-inner-last div a {
  font-weight: 400;
  font-size: 9px;
  line-height: 116%;
  text-transform: uppercase;
  color: #1f1e1e;
  text-decoration: none;
}

.sign-right-top h4,h5,h6 {
  margin-bottom: 6px;

  font-weight: 400;
  font-size: 9px;
  text-transform: uppercase;
  color: #3c3c3c;
}

.hero {
  display: flex;
  height: 100vh; 
   background: url("/assets/images/phon.jpg") no-repeat center center/cover;
}


.hero-right {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;   
  align-items: center;       
  color: #FFD700;
  padding: 40px;
}

header {
  position: absolute; 
  top: 20px;
  display: flex;
  align-items: center;
}

.nav {
  display: flex;
  gap: 30px;
}

.nav-item {
  color: #303030;
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  transition: color 0.3s;
}


.main-inner {
  text-align: center;
  margin-right: 60px; 
}

.growify {
  font-size: 85px;
  font-weight: bold;
  color: #1B263B;
  margin-bottom: 20px;
}

.hero-subtitle {
  font-size: 25px;
  margin-bottom: 30px;
  color: #566270;
  text-align: center;
}

.hero-right a {
  padding: 12px 30px;
  font-size: 14px;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
  text-transform: uppercase;
  transition: 0.3s;
}

.hero-right a:hover {
  color: #000;
}

.result-images {
  margin-top: 25px;
  display: flex;
  gap: 10px;
  justify-content: center;
}

.result-images img {
  width: 200px;
  height: 240px;
  object-fit: cover;
  border-radius: 12px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.15);
  transition: transform 0.3s;
}

.result-images img:hover {
  transform: scale(1.1);
}

.result-img-wrapper {
  position: relative;
  display: inline-block;
  margin: 5px;
}

.result-img-caption {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  background: rgba(0,0,0,0.6);
  color: #fff;
  font-size: 14px;
  padding: 2px 0;
  border-radius: 0 0 8px 8px;
  text-align: center;
}




















